import { Done } from '../../../../../Class/Functional/Done';
import { Semifunctional } from '../../../../../Class/Semifunctional';
import { System } from '../../../../../system';
export interface I {
    lock: any;
    done: any;
}
export interface O {
}
export default class WakeLock extends Semifunctional<I, O> {
    private _wake_lock;
    constructor(system: System);
    f({ lock }: I, done: Done<O>): void;
    d(): void;
    onIterDataInputData(name: string, data: any): void;
    private _lock;
    private _release;
    private _on_release;
}
